#!/bin/bash

scriptDir=`dirname "$0"`
. ${scriptDir}/pva-agent-vz-helper.sh

# Stopping PVA agent
pvaagent stop

# Create "/vz/backups directory"
mkdir -p /vz/backups || abort "Can't create backup storage directory"

# Setup vzaup2date engine link and update plugin vocabulary
setup_vzaup2date

# Turn on vza features and update plugin vocabulary
setup_vzafeatures

# Starting PVA agent
pvaagent start
